The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.
Available in VPC
Get details of a scanner.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v1/catalogs/{catalogId}/scanners/{scannerId} |
Request headers
For information about the headers common to all Data Catalog APIs, see Data Catalog request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
catalogId |
Integer | Required | Catalog ID
|
scannerId |
Integer | Required | Scanner ID
|
Request example
The request example is as follows:
curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/scanners/9**' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
scannerId |
Integer | - | Scanner ID |
name |
String | - | Scanner name |
status |
String | - | Scanner status
|
description |
String | - | Scanner description
|
type |
String | - | Source data type |
location |
String | - | Source data path |
schedule |
String | - | Cron expression for scanner execution cycle
|
scheduleType |
String | - | Scanner execution cycle
|
opAddType |
String | - | Collection options when adding schema
|
opDelType |
String | - | Options when deleting schema
|
includePattern |
String | - | Patterns to include in scan |
excludePattern |
String | - | Patterns to exclude from scan
|
tablePrefixName |
String | - | Output data prefix
|
lastExecStartTime |
String | - | Last scanner execution date and time
|
lastExecElapsedTime |
Integer | - | Last scanner execution time (second) |
lastResult |
String | - | Last scanner execution result |
isSchedulePaused |
Integer | - | Whether to pause the execution cycle
|
catalogId |
Integer | - | Catalog ID |
connectionId |
Integer | - | Connection ID |
classifierResponseList |
Array | - | Classifier list: classifierResponseList
|
databaseName |
String | - | Database name for the output data |
createTime |
String | - | Scanner creation date and time
|
updateTime |
String | - | Update date and time
|
lastHistoryUuid |
String | - | Last execution history UUID |
classifierResponseList
The following describes classifierResponseList.
| Field | Type | Required | Description |
|---|---|---|---|
disabled |
Boolean | - | Non-availability
|
classifierId |
Integer | - | Classifier ID |
catalogId |
Integer | - | Catalog ID |
name |
String | - | Classifier name |
type |
String | - | Classifier type
|
value |
String | - | Details by classifier type
|
createTime |
String | - | Classifier creation date and time
|
Response status codes
For response status codes common to all Data Catalog APIs, see Data Catalog response status codes.
Response example
The response example is as follows:
{
"scannerId": 9**,
"name": "employee_list",
"status": "SCANNER_IDLE",
"description": "employee list",
"type": "OBJECT_STORAGE",
"location": "s3a://datacatalog-c***-e******f/my_database/employeeList/",
"schedule": "0 2 1 * *",
"scheduleType": "EVERY_MONTH",
"opAddType": "UPDATE_TABLE",
"opDelType": "DEL_NO",
"tablePrefixName": "out_",
"lastExecStartTime": "2025-03-19T14:44:55+0900",
"lastExecElapsedTime": 6,
"lastResult": "SUCCESS",
"isSchedulePaused": 0,
"catalogId": 4**,
"classifierResponseList": [
{
"disabled": false,
"classifierId": 1**,
"catalogId": 4**,
"name": "csv_class",
"type": "CSV",
"value": ",",
"createTime": "2025-03-19T14:41:44+0900"
}
],
"databaseName": "default",
"createTime": "2025-03-18T09:34:42+0900",
"updateTime": "2025-03-19T14:45:15+0900",
"lastHistoryUuid": "********"
}